Name:           megi-kernel-tab
Version:        6.12.8
Release:        1%{?dist}
Summary:        latest megi kernel for the pinetab
License:        GPLv3+
URL:            https://megous.com/git/linux/log/?h=orange-pi-6.12
Source0:        pinephones.tar.gz
Source1:        sun50i-a64-pinetab.dtb
#Source1:        boot.cmd
#Source2:        boot.scr
#Source3:        update-boot-script.sh
#Requires:       pp-uboot 
#Requires:       pinetab-helpers >= 0.0.8-3
#Obsoletes:      kernel-megi-bh
#Obsoletes:      kernel-megi-ce

#BuildArch:      noarch

%description
Megis version of the Linux Kernel, for PineTab.

%global debug_package %{nil}

%prep
%autosetup -p1 -n pinephones

%install
mkdir -p $RPM_BUILD_ROOT/boot/efi/
cp Image $RPM_BUILD_ROOT/boot/efi
#cp %{SOURCE1} $RPM_BUILD_ROOT/boot/pboot/p-boot-reconf.sh
mkdir -p $RPM_BUILD_ROOT/boot/efi/allwinner
mkdir -p $RPM_BUILD_ROOT/boot/efi/rockchip
cp -r allwinner/* $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r %{SOURCE1} $RPM_BUILD_ROOT/boot/efi/allwinner
cp -r rockchip/* $RPM_BUILD_ROOT/boot/efi/rockchip
#cp board-1.2.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinephone-1.2.dtb
#cp pinetab.dtb $RPM_BUILD_ROOT/boot/allwinner/sun50i-a64-pinetab.dtb
mkdir -p $RPM_BUILD_ROOT/lib/modules/
cp -r modules/lib/modules/* $RPM_BUILD_ROOT/lib/modules/

%files
/boot/efi/Image
#/boot/pboot/p-boot-reconf.sh
#/boot/boot.scr
/lib/modules/
/boot/efi/allwinner/
/boot/efi/rockchip/

%changelog
* Sun Jan 05 2025 Yoda - 6.12.8-1
- Upgrade to 6.12.8

* Mon Nov 25 2024 Yoda - 6.12.1-1
- Upgrade to 6.12.1

* Sat Nov 23 2024 Yoda - 6.11.10-1
- Upgrade to 6.11.10

* Sat Nov 16 2024 Yoda - 6.11.8-1
- Upgrade to 6.11.8

* Thu Aug 29 2024 Yoda - 6.10.3-1
- Upgrade to 6.10.3

* Thu Aug 08 2024 Yoda - 6.10.2-1
- Upgrade to 6.10.2

* Thu Jul 18 2024 Yoda - 6.10.0-1
- Upgrade to 6.10.0

* Tue Jul 16 2024 Yoda - 6.9.9-1
- Upgrade to 6.9.9

* Tue Jul 02 2024 Yoda - 6.9.7-1
- Upgrade to 6.9.7

* Mon Jun 10 2024 Yoda - 6.9.3-1
- Upgrade to 6.9.3

* Mon May 13 2024 Yoda - 6.8.9-1
- Upgrade to 6.8.9

* Wed May 01 2024 Yoda - 6.8.8-1
- Upgrade to 6.8.8

* Mon Apr 08 2024 Yoda - 6.8.4-1
- Upgrade to 6.8.4

* Mon Mar 11 2024 Yoda - 6.8.0-1
- Upgrade to 6.8.0

* Fri Mar 08 2024 Yoda - 6.7.9-1
- Upgrade to 6.7.9

* Sun Mar 03 2024 Yoda - 6.7.7-1
- Fix for flipping frames bug
- Upgrade to 6.7.7

* Wed Feb 28 2024 Yoda - 6.7.6-1
- Upgrade to 6.7.6

* Wed Feb 07 2024 Yoda - 6.7.4-1
- Upgrade to 6.7.4

* Wed Jan 31 2024 Yoda - 6.7.2-1
- Upgrade to 6.7.2

* Mon Jan 29 2024 Yoda - 6.7.0-1
- Upgrade to 6.7.0

* Sat Jan 06 2024 Yoda - 6.6.10-1
- Upgrade to 6.6.10

* Sat Dec 16 2023 Yoda - 6.6.6-1
- Upgrade to 6.6.6
- Changed build scripts to use codeberg.org

* Sun Dec 03 2023 Yoda - 6.6.4-1
- Upgrade to 6.6.4

* Wed Nov 29 2023 Yoda - 6.6.3-1
- Upgrade to 6.6.3

* Wed Nov 08 2023 Yoda - 6.6.0-1
- Upgrade to 6.6.0

* Mon Oct 09 2023 Yoda - 6.5.6-1
- Upgrade to 6.5.6

* Fri Sep 15 2023 Yoda - 6.5.3-1
- Upgrade to 6.5.3

* Sat Sep 09 2023 Yoda - 6.4.15-1
- Upgrade to 6.4.15

* Wed Aug 02 2023 Yoda - 6.4.7-1
- Upgrade to 6.4.7

* Thu Jul 20 2023 Yoda - 6.4.4-1
- Upgrade to 6.4.4

* Mon Jun 12 2023 Yoda - 6.3.7-1
- Upgrade to 6.3.7

* Thu May 18 2023 Yoda - 6.3.3-1
- Upgrade to 6.3.3

* Sun Apr 30 2023 Yoda - 6.2.12-1
- Upgrade to 6.2.12

* Thu Mar 30 2023 Yoda - 6.2.9-1
- Upgrade to 6.2.9
- Fix better WiFi on PP and Tab

* Sat Mar 25 2023 Yoda - 6.2.7-1
- Upgrade to 6.2.7
- new defconfig and packing
- panel changed to =m

* Wed Jun 29 2022 Yoda - 5.19.0-rc4
- Initial packaging
